Page MenuHomePhabricator

Notify about publishing milestones
Closed, ResolvedPublic1 Story Points

Description

As a way to encourage users to keep translating we may want to notify them when they create their 1st, 5th, 10th and 100th translation.

Considerations:

  • Only translations published to main namespace are taken into account. No notifications about their translations into user namespace.
  • Notifications are sent to the target wiki (the one the user published the article in).
    • The notifications link to CX, and it should be accessible. So if CX beta feature was not enabled (the user could have enabled it on source wiki and being transferred to the target), we need to provide access to CX or auto-enable the feature.
  • We need to consider whether to count separate milestones per wiki (in which case we may want to have only 1,10, 100) or global milestones (where we can have an additional 5th translation notification).

The notifications could be:

  • "Congratulations for your first translation [on Catalan Wikipedia]! You can find more pages to translate from your contributions page anytime." (linking to the contributions page)
  • "Congratulations for your fifth translation [on Catalan Wikipedia]! Find new interesting topics to keep translating." (linking to the translation board)
  • "Congratulations for your tenth translation! You are becoming an expert translator. Keep the good work!"
  • "You just made 100 translations! That is a remarkable achievement. Share the word with other editors."
  • "You reached X articles created with Content Translation. More articles are waiting You can find more articles to translate from your contributions page anytime."

Event Timeline

Pginer-WMF raised the priority of this task from to High.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added subscribers: Elitre, Liuxinyu970226, Amire80 and 5 others.
santhosh edited a custom field.May 25 2015, 10:00 AM

Change 213779 had a related patch set uploaded (by Santhosh):
WIP: Notify user on first translation

https://gerrit.wikimedia.org/r/213779

santhosh claimed this task.May 26 2015, 6:02 AM
santhosh moved this task from Backlog to In Progress on the LE-Sprint-87 board.


@Pginer-WMF, does this look good? We need an icon, I just used the gratitude icon.

Also following is the default settings for translation notification

Great @santhosh, his looks good. Just a couple of comments:

  • We can make the text more succinct: "Congratulations for your first translation! Find more pages to translate from your contributions page."
  • If a user publishes one translation from English to Spanish and another from French to Catalan, would this user receive one notification or two (one in eswiki and another in cawiki)? If the user receives two notifications, we may want to indicate the name of the wiki ("congratulations for your first translation in Catalan Wikipedia") in order to avoid too many generic "thanks for your 1st translation" messages that can become confusing ("why I'm told about my first translation a second time?").

Attached you can find svg and png version of the icon:


  • If a user publishes one translation from English to Spanish and another from French to Catalan, would this user receive one notification or two (one in eswiki and another in cawiki)?

Only one. First the first translation between any language. With one notification independent of language, I think we conveyed the message and done.

Only one.

Great. In that case, there is no need to explicitly mention the current wiki.

santhosh added a comment.EditedMay 27 2015, 4:26 AM

@Pginer-WMF, it seems the icon size is not correct. As per https://www.mediawiki.org/wiki/Echo_%28Notifications%29/Developer_guide#Additional_icons

"Notification icons should be 30x30 pixel monochrome graphics"

When I used the above icon, it comes like this

We can refer the Thanks extension icon


And I dont think we can use png and svg together. We may want to use svg alone since CX target only modern browsers

@santhosh I didn't found the size spec before and used an icon I thought was used for notifications as a reference, but apparently it was not.
I made a 30x30px version of the SVG:

Arrbee edited projects, added LE-Sprint-88; removed LE-Sprint-87.Jun 9 2015, 9:17 AM
santhosh moved this task from Backlog to In Progress on the LE-Sprint-88 board.Jun 9 2015, 11:30 AM
santhosh moved this task from In Progress to In Review on the LE-Sprint-88 board.Jun 10 2015, 4:58 AM
santhosh moved this task from In Review to In Progress on the LE-Sprint-88 board.

Change 213779 merged by jenkins-bot:
Notify user on first translation

https://gerrit.wikimedia.org/r/213779

Change 218821 had a related patch set uploaded (by Santhosh):
Congratulate translator on 10th, 100th translation milestones

https://gerrit.wikimedia.org/r/218821

santhosh moved this task from In Progress to In Review on the LE-Sprint-88 board.Jun 17 2015, 5:38 AM
Amire80 moved this task from Needs Triage to CX5 on the ContentTranslation board.Jun 23 2015, 8:29 AM

Change 218821 merged by jenkins-bot:
Congratulate translator on 10th, 100th translation milestones

https://gerrit.wikimedia.org/r/218821

I am marking this resolved as we have notificaiton for 1st, 10th and 100th translation now

santhosh closed this task as Resolved.Jun 25 2015, 6:30 AM
santhosh moved this task from In Review to Done on the LE-Sprint-88 board.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 9 2015, 5:54 PM
Restricted Application added a project: Design. · View Herald TranscriptMay 7 2018, 3:36 PM